Subject: Re: linux-next: build warnings after merge of the cifs tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 26 Nov 2018 11:52:47 +1100

Hi Steve,

On Sun, 25 Nov 2018 18:31:40 -0600 Steve French <[email-masked]> wrote:
>
> Both of those cases are intentional fallthroughs and there are
> existing comments in the code noting the reasons for them to
> fallthrough
> 
> (also can see the reasoning for these in the commits which introduced
> them from Sachin c369c9a4a7c82) and dde2356c84662)

I am not questioning that :-)

The gcc warning can be turned off by adding a /* fall through */
comment at the point the fall through happens.  Kees and others are
working on the several hundred other places that need annotating.

This one just popped up.

-- 
Cheers,
Stephen Rothwell